@import url('./variables.css');

/* Servicios: estilos */
.services {
    margin: var(--margin-xxl);
    padding: var(--padding) 20px;
    background-color: var(--secondary-color);
    color: var(--primary-color);
    text-align: center;
}

.services__title {
    font-size: var(--title-font-size-extra-big);
    font-weight: var(--title-font-weight);
    margin-bottom: 20px;
}

.services__grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: var(--gap-xl);
}

.services__card {
    background-color: var(--primary-color);
    color: var(--secondary-color);
    padding: var(--padding-xl);
    overflow: hidden;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s;
}

.services__card:hover {
    transform: translateY(-5px);
}

.services__image {
    width: 100%;
    height: 200px;
    object-fit: cover;
}

.services__card-title {
    font-size: var(--subtitle-font-size);
    font-weight: var(--subtitle-font-weight);
    margin: 10px 0;
}

.services__list {
    list-style-type: disc;
    margin: 10px 20px;
    padding: 0;
    text-align: left;
    font-size: var(--normal-text-font-size);
    font-weight: var(--normal-text-font-weight);
}

.services__list li {
    margin-bottom: 5px;
}

.services__button-container {
    text-align: center;
    margin-top: 120px; 
  }
  
@media (max-width: 768px) {
    .services {
        margin: var(--margin-xl);
    }
    .services__grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 480px) {
    .services {
        margin: var(--margin-xl);
    }
    .services__grid {
        grid-template-columns: 1fr;
    }
}

/* Planes: estilos */
.plans {
    background-color: var(--secondary-color);
    color: var(--primary-color);
    margin: var(--margin-xxl);
    text-align: center;
  }
  
  .plans__title {
    font-size: var(--title-font-size-extra-big);
    font-weight: var(--title-font-weight);
    margin-bottom: var(--margin-xxl);
  }
  
  .plans__grid {
    display: grid;
    margin-top: var(--margin-sm);
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: var(--gap-xl);
  }
  
  /* Tarjeta de plan */
  .plans__card {
    border: 2px solid var(--primary-color);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    transition: transform 0.3s, box-shadow 0.3s;
    margin: var(--margin-sm);
  }
  
  .plans__card:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 12px rgba(0, 0, 0, 0.2);
  }
  
  .plans__header {
    background-color: var(--primary-color);;
    height: 50px;
  }
  
  /* Plan destacado */
  .plans__card--featured {
    transform: translateY(-20px);
    border: 2px solid var(--accent-color);
  }
  
  .plans__card--featured .plans__header {
    background-color: var(--accent-color);
  }
  
  .plans__body {
    padding: var(--padding-xl);
  }
  
  .plans__name {
    font-size: var(--subtitle-font-size);
    font-weight: var(--subtitle-font-weight);
    margin-bottom: var(--margin-md);
  }

  .plans__name--featured {
    color: var(--accent-color);
  }
  
  .plans__price {
    font-size: 1.5rem;
    font-weight: var(--title-font-weight);
    color: var(--accent-color);
    margin-bottom: var(--margin-md);
  }

  .plans__price--featured {
    color: var(--primary-color);
  }
  
  .plans__features {
    list-style-type: none;
    margin: var(--margin-md);
    padding: 0;
  }
  
  .plans__features li {
    margin-bottom: var(--margin-sm);
    font-size: var(--normal-text-font-size);
  }

  .plans__footer {
    padding: var(--margin-xl);

  }

  .btn__plans {
    background-color: var(--primary-color) !important;
  }

  .btn__plans:hover {
    background-color: var(--accent-color) !important;
  }

  .btn__plans-featured {
    background-color: var(--accent-color) !important;
  }

  .btn__plans-featured:hover {
    background-color: var(--primary-color) !important;
  }

  /* ===============================
   Estilos para los Modales
   =============================== */
.modal {
  display: none; /* Oculto por defecto */
  position: fixed;
  z-index: 2000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.5);
}

.modal__content {
  background-color: var(--secondary-color);
  margin: var(--margin-xxl) auto;
  padding: var(--padding-xl);
  border: 1px solid var(--primary-color);
  width: 90%;
  max-width: 500px;
  border-radius: var(--border-radius-sm);
  position: relative;
  color: var(--primary-color);
}

.modal__close {
  position: absolute;
  top: 0;
  right: 10px;
  font-size: 24px;
  font-weight: bold;
  cursor: pointer;
  color: rgb(240, 7, 7);
}

.modal__title {
  font-size: var(--subtitle-font-size);
  font-weight: var(--subtitle-font-weight);
  margin-bottom: var(--margin-md);
}

/* Formularios dentro de los modales */
.modal form {
  display: flex;
  flex-direction: column;
}

.modal form label {
  margin-top: var(--margin-sm);
  font-size: var(--normal-text-font-size);
  text-align: left;
}

.modal form textarea,
.modal form input[type="file"] {
  width: 95%;
  padding: var(--padding-sm);
  font-size: var(--normal-text-font-size);
  border: 1px solid var(--primary-color);
  background-color: var(--secondary-color);
  color: var(--primary-color);
}

.modal form button[type="submit"] {
  align-self: flex-start;
  margin-top: var(--margin-sm);
  background-color: var(--primary-color);
  color: var(--secondary-color);
  border: none;
  cursor: pointer;
  font-size: var(--normal-text-font-size);
  padding: 10px 15px;
}

.modal form button[type="submit"]:hover {
  background-color: var(--accent-color);
}

.contacto-group {
  position: relative; /* Para que el span se posicione relativo a este contenedor */
  border: 1px solid #ccc;
  padding: 10px;
  margin: 15px 0;
  border-radius: var(--border-radius-sm);
  background-color: #f9f9f9;
}

.remove-contact {
  position: absolute;
  top: 5px;
  right: 5px;
  font-size: 18px;
  color: #e74c3c;
  cursor: pointer;
  user-select: none;
}

.remove-contact:hover {
  color: #c0392b;
}

/* Distribución en filas y columnas */
.contacto-row {
  display: flex;
  gap: 10px;
  margin-bottom: 10px;
}

.contacto-col {
  flex: 1;
  display: flex;
  flex-direction: column;
}

.contacto-col label {
  margin: 5px 0 2px;
  font-size: var(--normal-text-font-size);
}

.contacto-col input {
  width: 100%;
  padding: 10px;
  box-sizing: border-box;
  border: 1px solid var(--primary-color);
  border-radius: var(--border-radius-xs);
}

/* Botón para agregar contacto */
.btn-contact__info {
  background-color: var(--primary-color);
  color: var(--secondary-color);
  border: none;
  padding: 8px 12px;
  cursor: pointer;
  border-radius: var(--border-radius-xs);
  margin-bottom: 15px;
}

.btn-contact__info:hover {
  background-color: var(--accent-color);
}


  
  @media (max-width: 768px) {
    .plans {
        margin: var(--margin-xl);
    }
    .plans__grid {
      grid-template-columns: repeat(2, 1fr);
    }
    .plans__card--featured {
      transform: translateY(0);
    }
  }
  
  @media (max-width: 480px) {    
    .plans__grid {
      grid-template-columns: 1fr;
    }
  
    .plans__card--featured {
      transform: translateY(0);
    }
    .plans__name {
     font-size: var(--normal-text-font-size); 
    }
  }
  